package cn.org.bjca.trust.java.imserver.repository;

import cn.org.bjca.trust.java.imserver.im.msg.ConversationMessage;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ConversationRepository extends JpaRepository<ConversationMessage, String> {

    @Query(value = "select cs from ConversationMessage AS cs " +
            "where cs.appId = ?1 and cs.userName = ?2 and (cs.userId = ?3 or cs.groupEntity._id = ?4)")
    List<ConversationMessage> getConversation(String appId, String userName, String userId, String groupId);

    List<ConversationMessage> findAllByAppIdAndUserName(String appId, String userName);

}
